How to enforce continuity of loft surfaces created from other surface borders?

Hello,

With the following python code, I created a loft surface from 2 curves which are the borders of the red and blue surfaces (meshes actually).

bridgeNURBSSurface = rs.AddLoftSrf(crossSections, loft_type=0, simplify_method=1, value=50)

Is there a way to force the resulting green surface to be more tangential to the two other surfaces? The documentation here says something about “Match start tangent” and “Match end tangent” options but I could not find a scripting way to access it by looking at the implementation of AddLoftSrf in Surface.py.

If there is no way of doing it directly with AddLoftSrf, maybe somewone could suggest me a post-processing that would give the same result?

Thanks

I don’t think this is possible, scripted or by hand, in Rhino. This is because the mesh edge does not have information about curvature. Only surface edges have that information. Without curvature information, tangency cannot be enforced.

Thank you! I will try to work this out in the NURBS domain…